local ext = require "shellExtension" 
assert(shellExtension)

-- Altera o título da janela de execução.
ext.setWinTitle("unzip")

local input, errorMsg = ext.getParameterValue(arg, 'ENTRADA') 
assert(errorMsg == nil, errorMsg)

local ouput 
output, errorMsg = ext.getParameterValue(arg, 'DIRETORIO') 
assert(errorMsg == nil, errorMsg)

-- obtem o path do arquivo zip com relacao ao path de saída
local zipRelPath = ext.findRelativePath(output, input)
assert(zipRelPath, "Falha na obtencao do caminho relativo")

ext.chdir(output)

ext.setWinTitle("unzip - "..input)
assert(ext.execCmdLine(ext.SHELL_BASH, "wzunzip -d -yO -o", nil, true,
  zipRelPath), "Falha na execucao do comando") 
