docker run -it \
--name csgrid_server \
--rm \
-p 8010:8010 \
-p 1099:1099 \
-p 1098:1098 \
-p 6681:6681 \
-p 8080:8080 \
-p 7778:7778 \
-p 7878:7878 \
-p 7779:7779 \
-p 40500:40500 \
-v $PWD/csgrid_data/persist:/csgrid/persist \
-v $PWD/csgrid_data/projects:/csgrid/projects \
-v $PWD/csgrid_data/algorithms:/csgrid/algorithms \
-v $PWD/csgrid_data/security:/csgrid/security \
-v $PWD/csgrid_data/logs:/csgrid/logs \
-e "CSGRID_HOST_NAME=$HOSTNAME" \
-e "CSGRID_HOST_ADDR=$HOSTNAME" \
-e "CSGRID_RMI_REGISTRY_PORT=1099" \
-e "CSGRID_RMI_EXPORT_PORT=1098" \
-e "CSGRID_FTC_EXPORT_PORT=6681" \
-e "CSGRID_REST_EXPORT_PORT=8010" \
--network=host \
repo.tecgraf.puc-rio.br:18089/soma/csgrid:2.7.4-SNAPSHOT

