#!/bin/bash

export SYSTEM_DIR=$PWD

sed -i s#_CSGRID_SERVER_NAME_#"${CSGRID_SERVER_NAME}"# $SYSTEM_DIR/config/System.properties
sed -i s#_CSGRID_HOST_NAME_#${CSGRID_HOST_NAME}# $SYSTEM_DIR/config/System.properties
sed -i s#_CSGRID_HOST_NAME_#${CSGRID_HOST_NAME}# $SYSTEM_DIR/plugins/SGAREST.properties
sed -i s#_CSGRID_RMI_REGISTRY_PORT_#${CSGRID_RMI_REGISTRY_PORT}# $SYSTEM_DIR/config/System.properties
sed -i s#_CSGRID_RMI_EXPORT_PORT_#${CSGRID_RMI_EXPORT_PORT}# $SYSTEM_DIR/config/System.properties
sed -i s#_CSGRID_FTC_EXPORT_PORT_#${CSGRID_FTC_EXPORT_PORT}# $SYSTEM_DIR/config/System.properties
sed -i s#_CSGRID_REST_EXPORT_PORT_#${CSGRID_REST_EXPORT_PORT}# $SYSTEM_DIR/config/System.properties
sed -i s#_KAFKA_SERVER_#${KAFKA_SERVER}# $SYSTEM_DIR/plugins/HISTORYOBSERVER.properties
sed -i s#_SCHEMA_REGISTRY_#${SCHEMA_REGISTRY}# $SYSTEM_DIR/plugins/HISTORYOBSERVER.properties
sed -i s#_CSGRID_MONGO_USER_#${CSGRID_MONGO_USER}# $SYSTEM_DIR/properties/MongoJobDAO.properties
sed -i s#_CSGRID_MONGO_PASS_#${CSGRID_MONGO_PASS}# $SYSTEM_DIR/properties/MongoJobDAO.properties

cd $SYSTEM_DIR/tomcat/bin
./startup.sh

cp -f $SYSTEM_DIR/config/System.properties $SYSTEM_DIR/tomcat/webapps/csgrid/WEB-INF

cd $SYSTEM_DIR
bin/runserver -p $SYSTEM_DIR/config/System.properties

